org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class SupersededPolicies

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.SupersededPolicies

-     public class SupersededPolicies
      extends Object

  Java class for SupersededPolicies complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SupersededPolicies">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}commonName" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `commonName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupersededPolicies()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getCommonName()` Gets the value of the commonName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### commonName

          protected List<String> commonName

  - ### Constructor Detail

    - #### SupersededPolicies

          public SupersededPolicies()

  - ### Method Detail

    - #### getCommonName

          public List<String> getCommonName()

      Gets the value of the commonName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the commonName property.

      For example, to add a new item, do as follows:

              getCommonName().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2017 WSO2. All rights reserved.